View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013807ParaView(No Category)public2013-01-21 11:042013-12-24 19:55
ReporterAlejandro Ribes 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.98.1 
Target VersionFixed in Version4.0 
Summary0013807: Bug when opening several files at the same time
DescriptionHello,

There is a bug when opening several files at the same time. As an example, I have two files (in this particular case a vtp and a vtu but works with any file), I "open" both of them but do not click on Apply. Once both of them appear in the pipeline browser I select one and click Apply THEN both of them are loaded. This looks like a bug.

Regards,

Alejandro.
 
TagsNo tags attached.
ProjectParaViS
Topic Name13807-apply-current-panel-only-option
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030425)
Kyle Lutz (viewer)
2013-03-12 13:51

This is the expected behaviour. This was the case with 3.14 and earlier. The rationale is that users can change multiple properties on several filters/source (or open multiple files) and then apply them all at once.

Has your use-case changed recently? If so, we can maybe provide a settings option or a special right-click context menu on Apply to "Apply Currrent Only" or something to that effect.
(0030428)
Utkarsh Ayachit (administrator)
2013-03-14 10:39

SUMMARY
---------------------------------------------
Topics merged into master:
        0013926-webgl-support
        0013940-enable-paraview-web-build
        13927_fix_text_bounding_boxes
        13928-print-monitors
        13930_XMLP_writers
        13938_blot_color_table
        13939-vr-cache-state
(VTK) composite-data-display-attributes
        fix-ordered-composite-distributor-return
        fix_unnecessary_rebuilds
(VTK) update_vtk_master
(0030439)
Alejandro Ribes (manager)
2013-03-14 13:01

Hi Kyle,

This bug entry is coming from one of my user-department's requirements. I already contacted them by email and try to know what they prefer. In any case, what do you think is better? An option is maybe good but people will forget it, is a contextual right-click compatible with the philosophy of ParaView?

Cheers,

Alejandro.
(0030446)
Utkarsh Ayachit (administrator)
2013-03-18 13:45

Alejandro,

You're are right, it's not common for ParaView user's to expect the Apply button to have a context menu. Let's see what your users prefer and then decide.
(0030451)
Alejandro Ribes (manager)
2013-03-19 10:43

Hello,

I spoke with my users and they prefer a settings option. This is good because, as Utkarsh says, nobody expects a context menu in the apply button :) Of course the default behaviour will be the current behaviour.

Cheers,

Alejandro.
(0030452)
Utkarsh Ayachit (administrator)
2013-03-19 10:50

Let's add a settings option to control if we apply "All" changes or only the "current" panel's changes.
(0030509)
Kyle Lutz (viewer)
2013-04-03 12:52

Merge topic '13807-apply-current-panel-only-option' into next

e5b080b Add 'Only Apply Current Panel' option
(0030510)
Kyle Lutz (viewer)
2013-04-03 12:54

I've added a new option in the Edit->Settings menu named 'Only Apply Current Panel` which will cause the Apply button to only apply settings for the currently active panel/proxy. By default it is disabled to stay with the previous behavior.
(0030526)
Sebastien Jourdain (manager)
2013-04-05 09:03

Merged into master
(0032069)
Alan Scott (manager)
2013-12-24 19:55

Old customer review bug. Closing untested.

- Issue History
Date Modified Username Field Change
2013-01-21 11:04 Alejandro Ribes New Issue
2013-03-12 09:13 Utkarsh Ayachit Status backlog => todo
2013-03-12 09:13 Utkarsh Ayachit Assigned To => Kyle Lutz
2013-03-12 13:51 Kyle Lutz Note Added: 0030425
2013-03-12 13:51 Kyle Lutz Status todo => gatekeeper review
2013-03-12 13:51 Kyle Lutz Resolution open => fixed
2013-03-14 10:38 Utkarsh Ayachit Fixed in Version => git-master
2013-03-14 10:39 Utkarsh Ayachit Status gatekeeper review => customer review
2013-03-14 10:39 Utkarsh Ayachit Note Added: 0030428
2013-03-14 13:01 Alejandro Ribes Note Added: 0030439
2013-03-18 13:45 Utkarsh Ayachit Note Added: 0030446
2013-03-19 10:43 Alejandro Ribes Note Added: 0030451
2013-03-19 10:50 Utkarsh Ayachit Note Added: 0030452
2013-03-19 10:50 Utkarsh Ayachit Status customer review => todo
2013-04-03 11:51 Kyle Lutz Status todo => active development
2013-04-03 12:52 Kyle Lutz Topic Name => 13807-apply-current-panel-only-option
2013-04-03 12:52 Kyle Lutz Note Added: 0030509
2013-04-03 12:52 Kyle Lutz Status active development => gatekeeper review
2013-04-03 12:54 Kyle Lutz Note Added: 0030510
2013-04-05 09:03 Sebastien Jourdain Status gatekeeper review => customer review
2013-04-05 09:03 Sebastien Jourdain Note Added: 0030526
2013-05-18 20:00 Utkarsh Ayachit Fixed in Version git-master => 4.0
2013-12-24 19:55 Alan Scott Note Added: 0032069
2013-12-24 19:55 Alan Scott Status customer review => closed
2013-12-24 19:55 Alan Scott Assigned To Kyle Lutz =>


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker